"use strict";
//  Коды доступа для аутентификации студентов.
//  Студент не имеет классической учетной записи,
//  а входит в программу по личному коду доступа,
//  который он может получить от учителя лично, по
//  по почте или сформировать по приглашению.
//
Object.defineProperty(exports, "__esModule", { value: true });
// Проверяет валидность данных авторизации студента.
//
function CodeAuthResponseDataValid(data) {
    return (data && typeof data === "object" &&
        "teacher" in data && !!data.teacher &&
        "student" in data && !!data.student);
}
exports.CodeAuthResponseDataValid = CodeAuthResponseDataValid;
// Проверяет валидность данных ошибки аутентификации студента.
//
function CodeAuthErrorsDataValid(data) {
    return (data && typeof data === "object" &&
        "code" in data && data.code === 400 &&
        "message" in data && !!exports.codeAuthErrors[data.message]);
}
exports.CodeAuthErrorsDataValid = CodeAuthErrorsDataValid;
exports.codeAuthErrors = {
    BAD_REQUEST: "BAD_REQUEST",
    INVALID_AUTH: "INVALID_AUTH",
    UNKNOWN: "UNKNOWN",
    EMPTY: "EMPTY"
};
//# sourceMappingURL=code.interface.js.map