"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Проверяет валидность данных запроса.
//
const room_interface_1 = require("./room.interface");
exports.roomNameMaxLength = 100;
exports.roomNameMinLength = 4;
function roomAddReqDataValid(data) {
    return (data
        && typeof data === "object"
        && Object.keys(data).length === 2
        && "newDoc" in data
        && !!data.newDoc
        && "name" in data.newDoc
        && data.newDoc.name.length <= exports.roomNameMaxLength
        && data.newDoc.name.length >= exports.roomNameMinLength
        && "newListElement" in data
        && !!data.newListElement);
}
exports.roomAddReqDataValid = roomAddReqDataValid;
// Проверяет валидность данных сервера с ошибкой создания комнаты.
//
function roomAddResErrorDataValid(data) {
    return (data
        && typeof data === "object"
        && "code" in data
        && (data.code === room_interface_1.addRoomCodeErrors["invalid-argument"]
            || data.code === room_interface_1.addRoomCodeErrors["already-exists"]
            || data.code === room_interface_1.addRoomCodeValidate["too-short"]
            || data.code === room_interface_1.addRoomCodeValidate["too-long"]
            || data.code === room_interface_1.addRoomCodeValidate["empty"]));
}
exports.roomAddResErrorDataValid = roomAddResErrorDataValid;
//# sourceMappingURL=room.validate.js.map