import {SlideDataInterface} from "1c-slides-data-interface/course-data.interface";
import {DocumentStorageInterface} from "../common/storage.interface";

//////////////////////////////////////////////////////
// Карточка
//

// Документ задания в БД
//
export interface TaskStorageInterface extends DocumentStorageInterface {
    room: string; // Комната, где находится задание
    storage: string; // Постоянное физическое хранилище задания
    title?: string;
    published?: boolean;
    slides?: SlidesStorageInterface;
}

// Слайд задания в БД
//
export interface SlidesStorageInterface {
    [uuid: string]: SlideDataInterface;
}

//////////////////////////////////////////////////////
// Представление в списках
//

// Элемент списка заданий в описании комнаты
//
export interface TaskListItemInterface {
    title?: string;
}

//////////////////////////////////////////////////////
// Служебные данные в БД
//

// Данные о нахождении задания в хранилище.
// Список заданий хранится не только в данных учителя,
// но и в подчиненной коллекции документа хранилища.
// Используется для удаления заданий из хранилища.
//
export interface TaskMetadataInterface {
    uuid: string;
    teacher: string;
    storage: string;
    deletionMark?: boolean;
}

// Операция пометки на удаление задания
//
export interface TaskDeleteMetadataInjectionInterface {
    deletionMark: boolean;
}